com.io7m.r2.core

## Enum R2SceneStencilsMode

- java.lang.Object
- - java.lang.Enum<R2SceneStencilsMode>
  - - com.io7m.r2.core.R2SceneStencilsMode

- All Implemented Interfaces:
    Serializable, Comparable<R2SceneStencilsMode>

      public enum R2SceneStencilsMode
      extends Enum<R2SceneStencilsMode>

  The mode used for stencils.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STENCIL_MODE_INSTANCES_ARE_NEGATIVE` The entire screen will be marked as "allowed", with each rendered stencil marking pixels as "disallowed".
    `STENCIL_MODE_INSTANCES_ARE_POSITIVE` The entire screen will be marked as "disallowed", with each rendered stencil marking pixels as "allowed".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2SceneStencilsMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2SceneStencilsMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STENCIL_MODE_INSTANCES_ARE_NEGATIVE

          public static final R2SceneStencilsMode STENCIL_MODE_INSTANCES_ARE_NEGATIVE

      The entire screen will be marked as "allowed", with each rendered stencil marking pixels as "disallowed".

    - #### STENCIL_MODE_INSTANCES_ARE_POSITIVE

          public static final R2SceneStencilsMode STENCIL_MODE_INSTANCES_ARE_POSITIVE

      The entire screen will be marked as "disallowed", with each rendered stencil marking pixels as "allowed".

  - ### Method Detail

    - #### values

          public static R2SceneStencilsMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2SceneStencilsMode c : R2SceneStencilsMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2SceneStencilsMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com